<%@ page contentType="text/html; charset=GBK"%>
<%@ page import = "zr.zrpower.collectionengine.service.ConfigService"%>

<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.collectionengine.COLL_DOC_PRINT" %>
<%@ page import = "zr.zrpower.ejb.sys.UIService" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.*" %>
<%
ConfigService configManage = new ConfigService();
UIService userUI =new UIService();
SessionUser user = (SessionUser)session.getAttribute("userinfo");
String DOCID = request.getParameter("SelectedItems");
String ID = "";
COLL_DOC_PRINT bg=null;
if(request.getParameter("ID")==""||request.getParameter("ID")==null){
  ID=configManage.GetMinID("COLL_DOC_PRINT","DOCID",DOCID);
  if(ID!=""){
    bg=configManage.getPrintID(ID);
  }
}
else{
 ID=request.getParameter("ID");
 bg=configManage.getPrintID(ID);
}
%>
<HTML>
<HEAD>
<TITLE>子文档配置编辑</TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=gb2312">
<LINK type="text/css" rel="stylesheet" href="../../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../../zrsysmanage/script/Public.js"></SCRIPT>
<script language="JavaScript" type="text/javascript">
<!--
parent.Left.location.href ="Left.jsp?SelectedItems=<%=DOCID%>";
function Edit()
{
  parent.Right.location.href ="Edit.jsp?SelectedItems=<%=ID%>";
}
function Reload()
{
  parent.Right.location.href ="Reload.jsp?SelectedItems=<%=ID%>";
}
function Delete(){
  <%if("6".equals(user.getUserWINDOWTYPE())){%>
  parent.parent.parent.layer.confirm('确定要删除当前选中的字段吗？', {
      btn: ['确定','取消'] //按钮
      }, function(index){
         location.href="../../../actionsubconfigmsg.do?Act=delprint&DOCID=<%=DOCID%>&ID=<%=ID%>";
         parent.parent.parent.layer.closeAll();
      }, function(){
      });
  <%}else{%>
     if (confirm('是否真的要删除当前选中行吗？')){
         location.href="../../../actionsubconfigmsg.do?Act=delprint&DOCID=<%=DOCID%>&ID=<%=ID%>";
     }
   <%}%>
 }
-->
</script>
</HEAD>
<BODY class="BodyMain">

<form action="" method="post" name="form1">
<%
if(bg!=null)
{
%>
<!--HTML Body Start显示表单开始部分-->
<%=userUI.ShowBodyStartHtml()%>
<DIV id="divMessage" style='padding-left:0;padding-top:0;width:99%;height:100%;overflow:auto'>
           <br>&nbsp;
           <TABLE  width="100%" align="center" border="0">
            <TR>
             <TD colspan=2 height=5>
             <input class="input" type="hidden" name="Act" value="editprint" />
             </TD>
             </TR>
              <TR>
              <TD class="PutdSet" width="16%">打印模板编号：</td>
               <TD><%=bg.getID()%></td>
               <TD class="PutdSet" width="14%">打印模板：</td>
               <TD><%=bg.getTEMPLAET()%><a href="../../../serverfile.do?type=5&file=<%=bg.getTEMPLAET()%>" title="点击下载模板">[<font color="#000080">下载模板</font>]</a></td>
             </TR>
                <TR>
               <TD class="PutdSet" width="15%">页码：</TD>
               <TD>第<%=bg.getPAGE()%>页</TD>
             </TR>

           </TABLE>
          <br>

              <center><br>
                 <table cellspacing="0" cellpadding="0" border='0'><tr>
                <%=userUI.ClickButton("编辑模板","JavaScript:Edit();","IcoEdit.gif",user.getUserImage())%>
                <%=userUI.ClickButton("重新上传模板","JavaScript:Reload();","IcoRelease.gif",user.getUserImage())%>
                <%=userUI.ClickButton("删除模板","JavaScript:Delete();","buttonDelete.gif",user.getUserImage())%>
     </tr></table>
                 <br>
                 </center>
  </DIV>

<!--HTML Foot显示表单尾-->
<%=userUI.ShowFootHtml()%>
 <%
}
%>
</FORM>
</BODY>
</HTML>
<%
//清空相关对象
user = null;
userUI = null;
configManage = null;
bg = null;
%>
